From 2c0e25811cdbfb3b4ed5a4e832aa27f71cdf1105 Mon Sep 17 00:00:00 2001
From: "Xingyu.Wang" <xingyu.wang@gmail.com>
Date: Sun, 17 Mar 2019 23:41:00 +0800
Subject: [PATCH 1/2] PRF:20190218 Emoji-Log- A new way to write Git commit
 messages.md
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

@MjSeven 为了这篇文章， 我修改了数据库的字符集，以支持大量的表情符，哈哈。
---
 ... A new way to write Git commit messages.md | 38 +++++++++++++------
 1 file changed, 26 insertions(+), 12 deletions(-)

diff --git a/translated/tech/20190218 Emoji-Log- A new way to write Git commit messages.md b/translated/tech/20190218 Emoji-Log- A new way to write Git commit messages.md
index 2b4d41ecb3..551587497a 100644
--- a/translated/tech/20190218 Emoji-Log- A new way to write Git commit messages.md	
+++ b/translated/tech/20190218 Emoji-Log- A new way to write Git commit messages.md	
@@ -1,6 +1,6 @@
 [#]: collector: (lujun9972)
 [#]: translator: (MjSeven)
-[#]: reviewer: ( )
+[#]: reviewer: (wxy)
 [#]: publisher: ( )
 [#]: url: ( )
 [#]: subject: (Emoji-Log: A new way to write Git commit messages)
@@ -9,20 +9,22 @@
 
 Emoji-Log：编写 Git 提交信息的新方法
 ======
-使用 Emoji-Log 为你的提交添加上下文。
+
+> 使用 Emoji-Log 为你的提交添加上下文。
+
 ![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/emoji_tech_keyboard.jpg?itok=ncBNKZFl)
 
-我是一名全职开源开发人员，我喜欢称自己为“开源者”。我从事开源软件工作已经超过十年，并[构建了数百个][1]开源软件应用程序。
+我是一名全职的开源开发人员，我喜欢称自己为“开源者”。我从事开源软件工作已经超过十年，并[构建了数以百计的][1]开源软件应用程序。
 
-同时我也是不要重复自己 Don't Repeat Yourself（DRY）哲学的忠实粉丝，并且相信编写更好的 Git 提交消息是 DRY 的一个重要组成部分。它们具有足够的上下文关联可以作为你开源软件的变更日志。我编写的众多工作流之一是 [Emoji-Log][2]，它是一个简单易用的开源 Git 提交日志标准。它通过使用表情符号来创建更好的 Git 提交消息，从而改善了开发人员的体验（DX）。
+同时我也是“<ruby>避免重复工作<rt>Don't Repeat Yourself</rt></ruby>”（DRY）哲学的忠实粉丝，并且我相信编写更好的 Git 提交消息是 DRY 的一个重要组成部分。它们具有足够的上下文关联，可以作为你开源软件的变更日志。我编写的众多工作流之一是 [Emoji-Log][2]，它是一个简单易用的开源 Git 提交日志标准。它通过使用表情符号来创建更好的 Git 提交消息，从而改善了开发人员的体验（DX）。
 
 我使用 Emoji-Log 构建了 [VSCode Tips & Tricks 仓库][3] 和我的 🦄 [紫色 VSCode 主题仓库][4]，以及一个看起来很漂亮的[自动变更日志][5]。
 
 ### Emoji-Log 的哲学
 
-我喜欢表情符号，我很喜欢它们。编程，代码，极客/书呆子，开源...所有这一切本质上都很枯燥，有时甚至很无聊。表情符号帮助我添加颜色和情感。想要将感受添加到 2D、平面和基于文本的代码世界并没有错。
+我喜欢（很多）表情符号，我很喜欢它们。编程、代码、极客/书呆子、开源……所有这一切本质上都很枯燥，有时甚至很无聊。表情符号帮助我添加颜色和情感。想要将感受添加到这个 2D 的、平板的、基于文本的代码世界并没有错。
 
-相比于[数百个表情符号][6]，我学会了更好的办法是保持小类别和普遍性。以下是指导使用 Emoji-Log 编写提交信息的原则：
+相比于[数百个表情符号][6]，我学会的更好办法是让类别较小和普遍性。以下是指导使用 Emoji-Log 编写提交信息的原则：
 
   1. **必要的**
     * Git 提交信息是必要的。
@@ -31,10 +33,10 @@ Emoji-Log：编写 Git 提交信息的新方法
       * 例如，使用 ✅ **Create** 而不是 ❌ **Creating**
   2. **规则**
     * 少数类别易于记忆。
-    * 不多不也少
-      * 例如  **📦 NEW** , **👌 IMPROVE** , **🐛 FIX** , **📖 DOC** , **🚀 RELEASE**, **✅ TEST**
+    * 不多也不少
+      * 例如  **📦 NEW** 、 **👌 IMPROVE** 、 **🐛 FIX** 、 **📖 DOC** 、 **🚀 RELEASE** 、 **✅ TEST**
   3. **行为**
-    * 让 Git 基于你所采取的操作提交
+    * 让 Git 的提交基于你所采取的操作
     * 使用像 [VSCode][7] 这样的编辑器来提交带有提交信息的正确文件。
 
 ### 编写提交信息
@@ -63,7 +65,7 @@ Emoji-Log：编写 Git 提交信息的新方法
 
 ### Emoji-Log 函数
 
-为了快速构建原型，我写了以下函数，你可以将它们添加到 **.bashrc** 或者 **.zshrc** 文件中以快速使用 Emoji-Log。
+为了快速构建原型，我写了以下函数，你可以将它们添加到 `.bashrc` 或者 `.zshrc` 文件中以快速使用 Emoji-Log。
 
 ```
 #.# Better Git Logs.
@@ -126,7 +128,8 @@ funcsave gdoc
 funcsave gtst
 ```
 
-如果你愿意，可以将这些别名直接粘贴到 **~/.gitconfig** 文件：
+如果你愿意，可以将这些别名直接粘贴到 `~/.gitconfig` 文件：
+
 ```
 # Git Commit, Add all and Push — in one step.
 cap = "!f() { git add .; git commit -m \"$@\"; git push; }; f"
@@ -145,6 +148,17 @@ doc = "!f() { git cap \"📖 DOC: $@\"; }; f"
 tst = "!f() { git cap \"✅ TEST: $@\"; }; f"
 ```
 
+### Emoji-Log 例子
+
+这里列出了一些使用 Emoji-Log 的仓库：
+
+- [Create-guten-block toolkit](https://github.com/ahmadawais/create-guten-block/commits/)
+- [VSCode Shades of Purple theme](https://github.com/ahmadawais/shades-of-purple-vscode/commits/)
+- [Ahmad Awais' GitHub repos](https://github.com/ahmadawais)  （我的最新的仓库）
+- [CaptainCore CLI](https://github.com/CaptainCore/captaincore-cli/commits/) （WordPress 管理工具）
+- [CaptainCore GUI](https://github.com/CaptainCore/captaincore-gui/commits/) （WordPress 插件）
+
+你呢？如果你的仓库使用 Emoji-Log，请将这个 [Emoji-Log 徽章](https://on.ahmda.ws/rOMZ/c)放到你的 README 中，并给我发送一个[拉取请求](https://github.com/ahmadawais/Emoji-Log/pulls)，以让我可以将你的仓库列在这里。
 
 --------------------------------------------------------------------------------
 
@@ -153,7 +167,7 @@ via: https://opensource.com/article/19/2/emoji-log-git-commit-messages
 作者：[Ahmad Awais][a]
 选题：[lujun9972][b]
 译者：[MjSeven](https://github.com/MjSeven)
-校对：[校对者ID](https://github.com/校对者ID)
+校对：[wxy](https://github.com/wxy)
 
 本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出
 

From 3ac8ec846427b2d6fd995759f2e60f4254665fa4 Mon Sep 17 00:00:00 2001
From: "Xingyu.Wang" <xingyu.wang@gmail.com>
Date: Sun, 17 Mar 2019 23:43:34 +0800
Subject: [PATCH 2/2] PUB:20190218 Emoji-Log- A new way to write Git commit
 messages.md

@MjSeven https://linux.cn/article-10627-1.html
---
 ...90218 Emoji-Log- A new way to write Git commit messages.md | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
 rename {translated/tech => published}/20190218 Emoji-Log- A new way to write Git commit messages.md (98%)

diff --git a/translated/tech/20190218 Emoji-Log- A new way to write Git commit messages.md b/published/20190218 Emoji-Log- A new way to write Git commit messages.md
similarity index 98%
rename from translated/tech/20190218 Emoji-Log- A new way to write Git commit messages.md
rename to published/20190218 Emoji-Log- A new way to write Git commit messages.md
index 551587497a..89820ed92a 100644
--- a/translated/tech/20190218 Emoji-Log- A new way to write Git commit messages.md	
+++ b/published/20190218 Emoji-Log- A new way to write Git commit messages.md	
@@ -1,8 +1,8 @@
 [#]: collector: (lujun9972)
 [#]: translator: (MjSeven)
 [#]: reviewer: (wxy)
-[#]: publisher: ( )
-[#]: url: ( )
+[#]: publisher: (wxy)
+[#]: url: (https://linux.cn/article-10627-1.html)
 [#]: subject: (Emoji-Log: A new way to write Git commit messages)
 [#]: via: (https://opensource.com/article/19/2/emoji-log-git-commit-messages)
 [#]: author: (Ahmad Awais https://opensource.com/users/mrahmadawais)
